# Class: MapPosition

## MapPosition()

#### new MapPosition()

Source:
  - MapPosition.js, line 10

### Methods

#### (async, static) createObj() → {Promise.<MapPosition>}

构造一个新的 MapPosition 对象。

Source:
  - MapPosition.js, line 19

##### Returns:

Type
  Promise.<MapPosition>

#### (async, static) getCenter() → {Promise.<*>}

获取地图中心点

Source:
  - MapPosition.js, line 54

##### Returns:

Type
  Promise.<*>

#### (async, static) getResolution() → {Promise.<*>}

获取地图分辨率

Source:
  - MapPosition.js, line 99

##### Returns:

Type
  Promise.<*>

#### (async, static) getRotateAngle() → {Promise.<*>}

获取旋转角

Source:
  - MapPosition.js, line 175

##### Returns:

Type
  Promise.<*>

#### (async, static) getRotateCenter() → {Promise.<*>}

获取地图旋转中心点

Source:
  - MapPosition.js, line 126

##### Returns:

Type
  Promise.<*>

#### (async, static) getSlopeAngle() → {Promise.<*>}

获取倾斜角

Source:
  - MapPosition.js, line 203

##### Returns:

Type
  Promise.<*>

#### (async, static) setCenter(center) → {Promise.<void>}

设置地图中心点

##### Parameters:

Name | Type | Description
--- | --- | ---
`center` |  |

Source:
  - MapPosition.js, line 71

##### Returns:

Type
  Promise.<void>

#### (async, static) setCenterByXY(centerX, centerY) → {Promise.<void>}

设置地图中心点

##### Parameters:

Name | Type | Description
--- | --- | ---
`centerX` |  |
`centerY` |  |

Source:
  - MapPosition.js, line 86

##### Returns:

Type
  Promise.<void>

#### (async, static) setRotateAngle(rotateAngle) → {Promise.<void>}

设置旋转角

##### Parameters:

Name | Type | Description
--- | --- | ---
`rotateAngle` |  |

Source:
  - MapPosition.js, line 190

##### Returns:

Type
  Promise.<void>

#### (async, static) setRotateCenter(center) → {Promise.<void>}

设置地图旋转中心

##### Parameters:

Name | Type | Description
--- | --- | ---
`center` |  |

Source:
  - MapPosition.js, line 143

##### Returns:

Type
  Promise.<void>

#### (async, static) setRotateCenterByXY(rotateCenterX, rotateCenterY) → {Promise.<void>}

设置地图旋转中心

##### Parameters:

Name | Type | Description
--- | --- | ---
`rotateCenterX` |  |
`rotateCenterY` |  |

Source:
  - MapPosition.js, line 158

##### Returns:

Type
  Promise.<void>

#### (async, static) setSlopeAngle(slopeAngle) → {Promise.<void>}

设置倾斜角

##### Parameters:

Name | Type | Description
--- | --- | ---
`slopeAngle` |  |

Source:
  - MapPosition.js, line 218

##### Returns:

Type
  Promise.<void>